Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 5892)
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
-
 import unittest
-from Numeric import zeros, array, allclose, Float
+import numpy
+
 from math import sqrt, pi
 import tempfile, os
@@ -91,8 +91,8 @@
 
             #Exact linear intpolation
-            assert allclose(q[0], 2*t)
+            assert numpy.allclose(q[0], 2*t)
             if i%6 == 0:
-                assert allclose(q[1], t**2)
-                assert allclose(q[2], sin(t*pi/600))
+                assert numpy.allclose(q[1], t**2)
+                assert numpy.allclose(q[2], sin(t*pi/600))
 
         #Check non-exact
@@ -100,12 +100,12 @@
         t = 90 #Halfway between 60 and 120
         q = F(t)
-        assert allclose( (120**2 + 60**2)/2, q[1] )
-        assert allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
+        assert numpy.allclose( (120**2 + 60**2)/2, q[1] )
+        assert numpy.allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
 
 
         t = 100 #Two thirds of the way between between 60 and 120
         q = F(t)
-        assert allclose( 2*120**2/3 + 60**2/3, q[1] )
-        assert allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
+        assert numpy.allclose( 2*120**2/3 + 60**2/3, q[1] )
+        assert numpy.allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
 
         os.remove(filename + '.txt')
@@ -125,5 +125,4 @@
         from shallow_water import Domain, Dirichlet_boundary
         from mesh_factory import rectangular
-        from Numeric import take, concatenate, reshape
 
         #Create basic mesh and shallow water domain
@@ -148,13 +147,19 @@
 
         # Boundary conditions
+        print 'test_util: 0'
         B0 = Dirichlet_boundary([0,0,0])
         B6 = Dirichlet_boundary([0.6,0,0])
+        print 'test_util: 1'
         domain1.set_boundary({'left': B6, 'top': B6, 'right': B0, 'bottom': B0})
         domain1.check_integrity()
+        print 'test_util: 2'
 
         finaltime = 8
         #Evolution
         t0 = -1
+        print 'test_util: 3'
+# crash at following line
         for t in domain1.evolve(yieldstep = 0.1, finaltime = finaltime):
+            print 'test_util: 4'
             #print 'Timesteps: %.16f, %.16f' %(t0, t)
             #if t == t0:
@@ -164,4 +169,5 @@
              
             #domain1.write_time()
+        print 'test_util: 5'
 
 
@@ -182,8 +188,8 @@
 
         last_time_index = len(time)-1 #Last last_time_index
-        d_stage = reshape(take(stage[last_time_index, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[last_time_index, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[last_time_index, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(numpy.take(stage[last_time_index, :], [0,5,10,15], axis=0), (4,1))
+        d_uh = numpy.reshape(numpy.take(xmomentum[last_time_index, :], [0,5,10,15], axis=0), (4,1))
+        d_vh = numpy.reshape(numpy.take(ymomentum[last_time_index, :], [0,5,10,15], axis=0), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -194,8 +200,8 @@
 
         #And the midpoints are found now
-        Dx = take(reshape(x, (16,1)), [0,5,10,15])
-        Dy = take(reshape(y, (16,1)), [0,5,10,15])
-
-        diag = concatenate( (Dx, Dy), axis=1)
+        Dx = numpy.take(numpy.reshape(x, (16,1)), [0,5,10,15], axis=0)
+        Dy = numpy.take(numpy.reshape(y, (16,1)), [0,5,10,15], axis=0)
+
+        diag = numpy.concatenate( (Dx, Dy), axis=1)
         d_midpoints = (diag[1:] + diag[:-1])/2
 
@@ -209,7 +215,7 @@
         assert not T[-1] == T[-2], msg
         t = time[last_time_index]
-        q = f(t, point_id=0); assert allclose(r0, q)
-        q = f(t, point_id=1); assert allclose(r1, q)
-        q = f(t, point_id=2); assert allclose(r2, q)
+        q = f(t, point_id=0); assert numpy.allclose(r0, q)
+        q = f(t, point_id=1); assert numpy.allclose(r1, q)
+        q = f(t, point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -218,8 +224,8 @@
 
         timestep = 0 #First timestep
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(numpy.take(stage[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_uh = numpy.reshape(numpy.take(xmomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_vh = numpy.reshape(numpy.take(ymomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -231,7 +237,7 @@
         #Let us see if the file function can find the correct
         #values
-        q = f(0, point_id=0); assert allclose(r0, q)
-        q = f(0, point_id=1); assert allclose(r1, q)
-        q = f(0, point_id=2); assert allclose(r2, q)
+        q = f(0, point_id=0); assert numpy.allclose(r0, q)
+        q = f(0, point_id=1); assert numpy.allclose(r1, q)
+        q = f(0, point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -240,8 +246,8 @@
 
         timestep = 33
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(numpy.take(stage[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_uh = numpy.reshape(numpy.take(xmomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_vh = numpy.reshape(numpy.take(ymomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -251,7 +257,7 @@
         r2 = (D[2] + D[3])/2
 
-        q = f(timestep/10., point_id=0); assert allclose(r0, q)
-        q = f(timestep/10., point_id=1); assert allclose(r1, q)
-        q = f(timestep/10., point_id=2); assert allclose(r2, q)
+        q = f(timestep/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f(timestep/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f(timestep/10., point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -261,8 +267,8 @@
 
         timestep = 15
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(numpy.take(stage[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_uh = numpy.reshape(numpy.take(xmomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_vh = numpy.reshape(numpy.take(ymomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -274,8 +280,8 @@
         #
         timestep = 16
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(numpy.take(stage[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_uh = numpy.reshape(numpy.take(xmomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        d_vh = numpy.reshape(numpy.take(ymomentum[timestep, :], [0,5,10,15], axis=0), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -290,7 +296,7 @@
         r2 = (r2_0 + r2_1)/2
 
-        q = f((timestep - 0.5)/10., point_id=0); assert allclose(r0, q)
-        q = f((timestep - 0.5)/10., point_id=1); assert allclose(r1, q)
-        q = f((timestep - 0.5)/10., point_id=2); assert allclose(r2, q)
+        q = f((timestep - 0.5)/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f((timestep - 0.5)/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f((timestep - 0.5)/10., point_id=2); assert numpy.allclose(r2, q)
 
         ##################
@@ -304,7 +310,7 @@
 
         #And the file function gives
-        q = f((timestep - 1.0/3)/10., point_id=0); assert allclose(r0, q)
-        q = f((timestep - 1.0/3)/10., point_id=1); assert allclose(r1, q)
-        q = f((timestep - 1.0/3)/10., point_id=2); assert allclose(r2, q)
+        q = f((timestep - 1.0/3)/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f((timestep - 1.0/3)/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f((timestep - 1.0/3)/10., point_id=2); assert numpy.allclose(r2, q)
 
         fid.close()
@@ -326,5 +332,4 @@
         from shallow_water import Domain, Dirichlet_boundary
         from mesh_factory import rectangular
-        from Numeric import take, concatenate, reshape
 
 
@@ -386,8 +391,8 @@
 
         last_time_index = len(time)-1 #Last last_time_index     
-        d_stage = reshape(take(stage[last_time_index, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[last_time_index, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[last_time_index, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(take(stage[last_time_index, :], [0,5,10,15]), (4,1))
+        d_uh = numpy.reshape(take(xmomentum[last_time_index, :], [0,5,10,15]), (4,1))
+        d_vh = numpy.reshape(take(ymomentum[last_time_index, :], [0,5,10,15]), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -398,8 +403,8 @@
 
         #And the midpoints are found now
-        Dx = take(reshape(x, (16,1)), [0,5,10,15])
-        Dy = take(reshape(y, (16,1)), [0,5,10,15])
-
-        diag = concatenate( (Dx, Dy), axis=1)
+        Dx = take(numpy.reshape(x, (16,1)), [0,5,10,15])
+        Dy = take(numpy.reshape(y, (16,1)), [0,5,10,15])
+
+        diag = numpy.concatenate( (Dx, Dy), axis=1)
         d_midpoints = (diag[1:] + diag[:-1])/2
 
@@ -415,7 +420,7 @@
 
         t = time[last_time_index]                         
-        q = f(t, point_id=0); assert allclose(r0, q)
-        q = f(t, point_id=1); assert allclose(r1, q)
-        q = f(t, point_id=2); assert allclose(r2, q)
+        q = f(t, point_id=0); assert numpy.allclose(r0, q)
+        q = f(t, point_id=1); assert numpy.allclose(r1, q)
+        q = f(t, point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -424,8 +429,8 @@
 
         timestep = 0 #First timestep
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
+        d_uh = numpy.reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
+        d_vh = numpy.reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -437,7 +442,7 @@
         #Let us see if the file function can find the correct
         #values
-        q = f(0, point_id=0); assert allclose(r0, q)
-        q = f(0, point_id=1); assert allclose(r1, q)
-        q = f(0, point_id=2); assert allclose(r2, q)
+        q = f(0, point_id=0); assert numpy.allclose(r0, q)
+        q = f(0, point_id=1); assert numpy.allclose(r1, q)
+        q = f(0, point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -446,8 +451,8 @@
 
         timestep = 33
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
+        d_uh = numpy.reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
+        d_vh = numpy.reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -457,7 +462,7 @@
         r2 = (D[2] + D[3])/2
 
-        q = f(timestep/10., point_id=0); assert allclose(r0, q)
-        q = f(timestep/10., point_id=1); assert allclose(r1, q)
-        q = f(timestep/10., point_id=2); assert allclose(r2, q)
+        q = f(timestep/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f(timestep/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f(timestep/10., point_id=2); assert numpy.allclose(r2, q)
 
 
@@ -467,8 +472,8 @@
 
         timestep = 15
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
+        d_uh = numpy.reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
+        d_vh = numpy.reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -480,8 +485,8 @@
         #
         timestep = 16
-        d_stage = reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
-        d_uh = reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
-        d_vh = reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
-        D = concatenate( (d_stage, d_uh, d_vh), axis=1)
+        d_stage = numpy.reshape(take(stage[timestep, :], [0,5,10,15]), (4,1))
+        d_uh = numpy.reshape(take(xmomentum[timestep, :], [0,5,10,15]), (4,1))
+        d_vh = numpy.reshape(take(ymomentum[timestep, :], [0,5,10,15]), (4,1))
+        D = numpy.concatenate( (d_stage, d_uh, d_vh), axis=1)
 
         #Reference interpolated values at midpoints on diagonal at
@@ -496,7 +501,7 @@
         r2 = (r2_0 + r2_1)/2
 
-        q = f((timestep - 0.5)/10., point_id=0); assert allclose(r0, q)
-        q = f((timestep - 0.5)/10., point_id=1); assert allclose(r1, q)
-        q = f((timestep - 0.5)/10., point_id=2); assert allclose(r2, q)
+        q = f((timestep - 0.5)/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f((timestep - 0.5)/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f((timestep - 0.5)/10., point_id=2); assert numpy.allclose(r2, q)
 
         ##################
@@ -510,7 +515,7 @@
 
         #And the file function gives
-        q = f((timestep - 1.0/3)/10., point_id=0); assert allclose(r0, q)
-        q = f((timestep - 1.0/3)/10., point_id=1); assert allclose(r1, q)
-        q = f((timestep - 1.0/3)/10., point_id=2); assert allclose(r2, q)
+        q = f((timestep - 1.0/3)/10., point_id=0); assert numpy.allclose(r0, q)
+        q = f((timestep - 1.0/3)/10., point_id=1); assert numpy.allclose(r1, q)
+        q = f((timestep - 1.0/3)/10., point_id=2); assert numpy.allclose(r2, q)
 
         fid.close()
@@ -542,5 +547,4 @@
         import os, time
         from anuga.config import time_format
-        from Numeric import sin, pi, exp
         from mesh_factory import rectangular
         from shallow_water import Domain
@@ -584,5 +588,5 @@
             domain.set_quantity('xmomentum', f2)
 
-            f3 = lambda x,y: x**2 + y**2 * sin(t*pi/600)
+            f3 = lambda x,y: x**2 + y**2 * numpy.sin(t*numpy.pi/600)
             domain.set_quantity('ymomentum', f3)
 
@@ -604,5 +608,5 @@
 
         #Check that FF updates fixes domain starttime
-        assert allclose(domain.starttime, start)
+        assert numpy.allclose(domain.starttime, start)
 
         #Check that domain.starttime isn't updated if later
@@ -611,5 +615,5 @@
                           quantities = domain.conserved_quantities,
                           interpolation_points = interpolation_points)
-        assert allclose(domain.starttime, start+1)
+        assert numpy.allclose(domain.starttime, start+1)
         domain.starttime = start
 
@@ -645,5 +649,5 @@
                      self.failUnless( q == actual, 'Fail!')
                 else:
-                    assert allclose(q, actual)
+                    assert numpy.allclose(q, actual)
 
 
@@ -655,9 +659,9 @@
             t = 90 #Halfway between 60 and 120
             q = F(t, point_id=id)
-            assert allclose( (q120+q60)/2, q )
+            assert numpy.allclose( (q120+q60)/2, q )
 
             t = 100 #Two thirds of the way between between 60 and 120
             q = F(t, point_id=id)
-            assert allclose(q60/3 + 2*q120/3, q)
+            assert numpy.allclose(q60/3 + 2*q120/3, q)
 
 
@@ -670,5 +674,5 @@
                           quantities = domain.conserved_quantities,
                           interpolation_points = interpolation_points)
-        assert allclose(domain.starttime, start+delta)
+        assert numpy.allclose(domain.starttime, start+delta)
 
 
@@ -689,5 +693,5 @@
 
                 q = F(t-delta, point_id=id)
-                assert allclose(q, (k*q1 + (6-k)*q0)/6)
+                assert numpy.allclose(q, (k*q1 + (6-k)*q0)/6)
 
 
@@ -703,5 +707,4 @@
         import os, time
         from anuga.config import time_format
-        from Numeric import sin, pi, exp
         from mesh_factory import rectangular
         from shallow_water import Domain
@@ -751,5 +754,5 @@
             domain.set_quantity('xmomentum', f2)
 
-            f3 = lambda x,y: x**2 + y**2 * sin(t*pi/600)
+            f3 = lambda x,y: x**2 + y**2 * numpy.sin(t*numpy.pi/600)
             domain.set_quantity('ymomentum', f3)
 
@@ -774,5 +777,5 @@
 
         #Check that FF updates fixes domain starttime
-        assert allclose(domain.starttime, start)
+        assert numpy.allclose(domain.starttime, start)
 
         #Check that domain.starttime isn't updated if later
@@ -781,5 +784,5 @@
                           quantities = domain.conserved_quantities,
                           interpolation_points = interpolation_points)
-        assert allclose(domain.starttime, start+1)
+        assert numpy.allclose(domain.starttime, start+1)
         domain.starttime = start
 
@@ -817,5 +820,5 @@
                      self.failUnless( q == actual, 'Fail!')
                 else:
-                    assert allclose(q, actual)
+                    assert numpy.allclose(q, actual)
 
         # now lets check points inside the mesh
@@ -863,5 +866,5 @@
                      self.failUnless( q == actual, 'Fail!')
                 else:
-                    assert allclose(q, actual)
+                    assert numpy.allclose(q, actual)
 
 
@@ -873,9 +876,9 @@
             t = 90 #Halfway between 60 and 120
             q = F(t, point_id=id)
-            assert allclose( (q120+q60)/2, q )
+            assert numpy.allclose( (q120+q60)/2, q )
 
             t = 100 #Two thirds of the way between between 60 and 120
             q = F(t, point_id=id)
-            assert allclose(q60/3 + 2*q120/3, q)
+            assert numpy.allclose(q60/3 + 2*q120/3, q)
 
 
@@ -888,5 +891,5 @@
                           quantities = domain.conserved_quantities,
                           interpolation_points = interpolation_points)
-        assert allclose(domain.starttime, start+delta)
+        assert numpy.allclose(domain.starttime, start+delta)
 
 
@@ -907,5 +910,5 @@
 
                 q = F(t-delta, point_id=id)
-                assert allclose(q, (k*q1 + (6-k)*q0)/6)
+                assert numpy.allclose(q, (k*q1 + (6-k)*q0)/6)
 
 
@@ -955,5 +958,5 @@
                           domain,
                           quantities = ['Attribute0', 'Attribute1', 'Attribute2'])  
-        assert allclose(domain.starttime, start)
+        assert numpy.allclose(domain.starttime, start)
 
         # Check that domain.starttime is updated if too early
@@ -962,5 +965,5 @@
                           domain,
                           quantities = ['Attribute0', 'Attribute1', 'Attribute2'])
-        assert allclose(domain.starttime, start)
+        assert numpy.allclose(domain.starttime, start)
 
         # Check that domain.starttime isn't updated if later
@@ -969,5 +972,5 @@
                           domain,
                           quantities = ['Attribute0', 'Attribute1', 'Attribute2'])
-        assert allclose(domain.starttime, start+1)
+        assert numpy.allclose(domain.starttime, start+1)
 
         domain.starttime = start
@@ -987,8 +990,8 @@
 
             #Exact linear intpolation
-            assert allclose(q[0], 2*t)
+            assert numpy.allclose(q[0], 2*t)
             if i%6 == 0:
-                assert allclose(q[1], t**2)
-                assert allclose(q[2], sin(t*pi/600))
+                assert numpy.allclose(q[1], t**2)
+                assert numpy.allclose(q[2], sin(t*pi/600))
 
         #Check non-exact
@@ -996,12 +999,12 @@
         t = 90 #Halfway between 60 and 120
         q = F(t)
-        assert allclose( (120**2 + 60**2)/2, q[1] )
-        assert allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
+        assert numpy.allclose( (120**2 + 60**2)/2, q[1] )
+        assert numpy.allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
 
 
         t = 100 #Two thirds of the way between between 60 and 120
         q = F(t)
-        assert allclose( 2*120**2/3 + 60**2/3, q[1] )
-        assert allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
+        assert numpy.allclose( 2*120**2/3 + 60**2/3, q[1] )
+        assert numpy.allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
 
         os.remove(filename + '.tms')
@@ -1052,5 +1055,5 @@
         F = file_function(filename + '.tms', domain,
                           quantities = ['Attribute0', 'Attribute1', 'Attribute2'])        
-        assert allclose(domain.starttime, start+delta)
+        assert numpy.allclose(domain.starttime, start+delta)
 
 
@@ -1063,8 +1066,8 @@
 
             #Exact linear intpolation
-            assert allclose(q[0], 2*t)
+            assert numpy.allclose(q[0], 2*t)
             if i%6 == 0:
-                assert allclose(q[1], t**2)
-                assert allclose(q[2], sin(t*pi/600))
+                assert numpy.allclose(q[1], t**2)
+                assert numpy.allclose(q[2], sin(t*pi/600))
 
         #Check non-exact
@@ -1072,12 +1075,12 @@
         t = 90 #Halfway between 60 and 120
         q = F(t-delta)
-        assert allclose( (120**2 + 60**2)/2, q[1] )
-        assert allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
+        assert numpy.allclose( (120**2 + 60**2)/2, q[1] )
+        assert numpy.allclose( (sin(120*pi/600) + sin(60*pi/600))/2, q[2] )
 
 
         t = 100 #Two thirds of the way between between 60 and 120
         q = F(t-delta)
-        assert allclose( 2*120**2/3 + 60**2/3, q[1] )
-        assert allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
+        assert numpy.allclose( 2*120**2/3 + 60**2/3, q[1] )
+        assert numpy.allclose( 2*sin(120*pi/600)/3 + sin(60*pi/600)/3, q[2] )
 
 
@@ -1091,24 +1094,22 @@
         #FIXME: Division is not expected to work for integers.
         #This must be caught.
-        foo = array([[1,2,3],
-                     [4,5,6]], Float)
-
-        bar = array([[-1,0,5],
-                     [6,1,1]], Float)                  
+        foo = numpy.array([[1,2,3], [4,5,6]], numpy.float)
+
+        bar = numpy.array([[-1,0,5], [6,1,1]], numpy.float)                  
 
         D = {'X': foo, 'Y': bar}
 
         Z = apply_expression_to_dictionary('X+Y', D)        
-        assert allclose(Z, foo+bar)
+        assert numpy.allclose(Z, foo+bar)
 
         Z = apply_expression_to_dictionary('X*Y', D)        
-        assert allclose(Z, foo*bar)        
+        assert numpy.allclose(Z, foo*bar)        
 
         Z = apply_expression_to_dictionary('4*X+Y', D)        
-        assert allclose(Z, 4*foo+bar)        
+        assert numpy.allclose(Z, 4*foo+bar)        
 
         # test zero division is OK
         Z = apply_expression_to_dictionary('X/Y', D)
-        assert allclose(1/Z, 1/(foo/bar)) # can't compare inf to inf
+        assert numpy.allclose(1/Z, 1/(foo/bar)) # can't compare inf to inf
 
         # make an error for zero on zero
@@ -1268,6 +1269,6 @@
         tris = [[0,1,2]]
         new_verts, new_tris = remove_lone_verts(verts, tris)
-        assert new_verts == verts
-        assert new_tris == tris
+        assert numpy.alltrue(new_verts == verts)
+        assert numpy.alltrue(new_tris == tris)
      
 
@@ -1284,6 +1285,6 @@
         new_verts, new_tris = remove_lone_verts(verts, tris)
         #print "new_verts", new_verts
-        assert new_verts == [[0,0],[1,0],[0,1]]
-        assert new_tris == [[0,1,2]]
+        assert numpy.alltrue(new_verts == [[0,0],[1,0],[0,1]])
+        assert numpy.alltrue(new_tris == [[0,1,2]])
      
     def test_remove_lone_verts_c(self):
@@ -1291,7 +1292,7 @@
         tris = [[0,1,3]]
         new_verts, new_tris = remove_lone_verts(verts, tris)
-        #print "new_verts", new_verts
-        assert new_verts == [[0,0],[1,0],[0,1]]
-        assert new_tris == [[0,1,2]]
+        print "new_verts", new_verts
+        assert numpy.alltrue(new_verts == [[0,0],[1,0],[0,1]])
+        assert numpy.alltrue(new_tris == [[0,1,2]])
         
     def test_remove_lone_verts_b(self):
@@ -1299,6 +1300,6 @@
         tris = [[0,1,2]]
         new_verts, new_tris = remove_lone_verts(verts, tris)
-        assert new_verts == verts[0:3]
-        assert new_tris == tris
+        assert numpy.alltrue(new_verts == verts[0:3])
+        assert numpy.alltrue(new_tris == tris)
      
 
@@ -1307,6 +1308,6 @@
         tris = [[0,1,2]]
         new_verts, new_tris = remove_lone_verts(verts, tris)
-        assert new_verts == verts[0:3]
-        assert new_tris == tris
+        assert numpy.alltrue(new_verts == verts[0:3])
+        assert numpy.alltrue(new_tris == tris)
         
     def test_get_min_max_values(self):
@@ -1496,5 +1497,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point1_answers_array[i])
+            assert numpy.allclose(line[i], point1_answers_array[i])
 
         point2_answers_array = [[0.0,1.0,1.5,-0.5,3.0,4.0], [2.0,10.0,10.5,-0.5,3.0,4.0]]
@@ -1509,5 +1510,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point2_answers_array[i])
+            assert numpy.allclose(line[i], point2_answers_array[i])
                          
         # clean up
@@ -1615,5 +1616,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2])])
             #print 'line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point1_answers_array[i])
+            assert numpy.allclose(line[i], point1_answers_array[i])
 
         point2_answers_array = [[0.0,1.0,-0.5], [2.0,10.0,-0.5]]
@@ -1628,5 +1629,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2])])
 #            print 'line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point2_answers_array[i])
+            assert numpy.allclose(line[i], point2_answers_array[i])
                          
         # clean up
@@ -1734,5 +1735,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point1_answers_array[i])
+            assert numpy.allclose(line[i], point1_answers_array[i])
 
         point2_answers_array = [[5.0,1.0,1.5,-0.5,3.0,4.0], [7.0,10.0,10.5,-0.5,3.0,4.0]]
@@ -1747,5 +1748,5 @@
             line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
-            assert allclose(line[i], point2_answers_array[i])
+            assert numpy.allclose(line[i], point2_answers_array[i])
                          
         # clean up
@@ -1830,5 +1831,5 @@
 if __name__ == "__main__":
     suite = unittest.makeSuite(Test_Util,'test')
-#    suite = unittest.makeSuite(Test_Util,'test_sww2csv')
+#    suite = unittest.makeSuite(Test_Util,'test_spatio_temporal_file_function_basic')
 #    runner = unittest.TextTestRunner(verbosity=2)
     runner = unittest.TextTestRunner(verbosity=1)
